Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  ACAD SysVariablen und Option per Lisp ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   ACAD SysVariablen und Option per Lisp ändern (838 mal gelesen)
Mangrove
Mitglied



Sehen Sie sich das Profil von Mangrove an!   Senden Sie eine Private Message an Mangrove  Schreiben Sie einen Gästebucheintrag für Mangrove

Beiträge: 281
Registriert: 07.02.2007

Win 7 x64 Intel i7 3,5 Ggz, 16GB,
Quadro K 2000
Acad 2016
Acad Architecture 2016
Revit 2017 R2

erstellt am: 31. Okt. 2017 18:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo liebes Forum,

Ich muss auf einer größern Anzahl von Rechnern (>15) die Sysvariable STARTUP auf [2] ändern sowie Pfade in den Optionen ändern (also Überschreiben) oder hinzufügen. Kennt jemand die Befehle um die Grundstruktur für eine solche "batch" Datei aufzubauen die mir erlauben würde die Sache dann anzupassen (meine Suche war bisher leider erfolglos und leider fehlt die Zeit wirklich LISP zu lernen).

Vielen Dank im Voraus für alle Hinweise

Gruß aus Wien
Mangrove

------------------
Alle Fragen sind es wert gestellt zu werden

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13348
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 01. Nov. 2017 07:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Mangrove 10 Unities + Antwort hilfreich

erstell dir eine Textdatei FIRSTSTART.LSP in der Steht:

  (defun DT:PATH-ADD(PATH PATHSTR / POS LISTE)
    (if(=(type PATHSTR)'STR)
      (progn
        (while(setq POS (vl-string-search ";" PATHSTR))     
          (setq LISTE (cons(substr PATHSTR 1 POS)LISTE)PATHSTR(substr PATHSTR(+ POS 2))) 
        )
        (if(and(=(type PATH) 'STR)(setq PATH(strcase(vl-string-translate "/" "\\" PATH)))
              (setq PATH(vl-string-right-trim "\\" PATH))(vl-file-directory-p PATH)
          )
          (progn
            (if(member PATH(setq LISTE(mapcar'strcase(reverse LISTE))))
              (setq LISTE(vl-remove PATH LISTE))
            )
            (setq LISTE(cons PATH LISTE))
          ) 
        )         
        (setq PATHSTR (apply 'strcat (mapcar '(lambda(x) (strcat X ";")) LISTE)))
        (list PATHSTR LISTE)
      )
    )
  )
(defun DT:SUPPORTPATH-ADD(PATH  / SUPPORT POS LISTE)
    (if(and(setq SUPPORT(getenv "ACAD"))(setq SUPPORT(DT:PATH-ADD PATH SUPPORT)))
    (progn(setenv "ACAD" (car SUPPORT))SUPPORT)
    ) 
  )

(setvar "STARTUP" 2)
(mapcar
  'DT:SUPPORTPATH-ADD
  '("C:\\Einstellungen\\Autocad"
    "C:\\Einstellungen\\Meine"
  )
)

...
geht auch mit anderen Einstellungen, da mußt du bloß genauer werden

... und die LSP-Datei ziehst du dann auf jedem Rechner per Drag&Drop aus dem Windowsexplorer in die Zeichenfläche ..

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Peter2
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Peter2 an!   Senden Sie eine Private Message an Peter2  Schreiben Sie einen Gästebucheintrag für Peter2

Beiträge: 3041
Registriert: 15.10.2003

Win 7/64 Prof & Win 10/64 Pro
AutoCAD 2017 - 2019, Civil 3D 2017 - 2019,
BricsCAD V16 / V17 / V18
Revit 2018 / 2019

erstellt am: 02. Nov. 2017 08:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Mangrove 10 Unities + Antwort hilfreich

Neben der perfekten Lösung von CADmium kann man reine Sysvar-Einstellungen auch per Script oder per Sysvardialog (_.sysvdlg, Expresstools) erledigen.

------------------
Für jedes Problem gibt es eine einfache Lösung.
Die ist aber meistens falsch. ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Mangrove
Mitglied



Sehen Sie sich das Profil von Mangrove an!   Senden Sie eine Private Message an Mangrove  Schreiben Sie einen Gästebucheintrag für Mangrove

Beiträge: 281
Registriert: 07.02.2007

Win 7 x64 Intel i7 3,5 Ggz, 16GB,
Quadro K 2000
Acad 2016
Acad Architecture 2016
Revit 2017 R2

erstellt am: 02. Nov. 2017 09:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Cadmium,

Vielen Dank, ich bin überwältigt. Jetzt muss ich nur noch verstehen um das ganze anzuwenden.

Zitat:
Original erstellt von CADmium:
erstell dir eine Textdatei FIRSTSTART.LSP in der Steht:

  (defun DT:PATH-ADD(PATH PATHSTR / POS LISTE)
    (if(=(type PATHSTR)'STR)
      (progn
        (while(setq POS (vl-string-search ";" PATHSTR))      
          (setq LISTE (cons(substr PATHSTR 1 POS)LISTE)PATHSTR(substr PATHSTR(+ POS 2)))  
        )
        (if(and(=(type PATH) 'STR)(setq PATH(strcase(vl-string-translate "/" "\\" PATH)))
               (setq PATH(vl-string-right-trim "\\" PATH))(vl-file-directory-p PATH)
           )
          (progn
            (if(member PATH(setq LISTE(mapcar'strcase(reverse LISTE))))
              (setq LISTE(vl-remove PATH LISTE))
            )
            (setq LISTE(cons PATH LISTE))
          ) 
        )          
        (setq PATHSTR (apply 'strcat (mapcar '(lambda(x) (strcat X ";")) LISTE)))
        (list PATHSTR LISTE)
      )
    )
  )
(defun DT:SUPPORTPATH-ADD(PATH  / SUPPORT POS LISTE)
    (if(and(setq SUPPORT(getenv "ACAD"))(setq SUPPORT(DT:PATH-ADD PATH SUPPORT)))
     (progn(setenv "ACAD" (car SUPPORT))SUPPORT)
    ) 
  )

(setvar "STARTUP" 2)
(mapcar
  'DT:SUPPORTPATH-ADD
  '("C:\\Einstellungen\\Autocad"
    "C:\\Einstellungen\\Meine"
   )
)

...
geht auch mit anderen Einstellungen, da mußt du bloß genauer werden

... und die LSP-Datei ziehst du dann auf jedem Rechner per Drag&Drop aus dem Windowsexplorer in die Zeichenfläche ..


Was mir jetzt noch nicht klar ist, ist wie ich die verschiedenen Pfade anspreche. Konkret will ich die Pfade der Option  meines Computers wie folgt bei mehreren Rechern replizieren.

Set SysVar

STARTUP=2

Optionen:

Pfad für Drucker-Support-Datei
Suchpfad für Plotstiltabelle:
M:\Buerostandard\ACA\Plotstyles [zusätzlich]

Vorlagen Einstellungen

Position der Zeichnungsvorlage:

C:\ProgramData\Autodesk\ACA 2016\deu\Template -> M:\Buerostandard\ACA\Vorlagen [überschreiben]

Vorgegebener Vorlagenname für SNEU

m:\buerostandard\aca\vorlagen\vorlage v002a.dwt -> Kein Wert [überschreiben]

Das ganze ermöglicht dann beim Einstieg in ACA oder bei SNEU dem Anwender aus den Vorlagenzeichnungen im Verzeichnis M:\Buerostandard\ACA\Vorlagen auszuwählen.

Danke im Voraus für deine Hilfe.

------------------
Alle Fragen sind es wert gestellt zu werden

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13348
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 02. Nov. 2017 11:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Mangrove 10 Unities + Antwort hilfreich

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "PrinterConfigPath"
  "M:\\Buerostandard\\ACA"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "PrinterStyleSheetPath"
  "M:\\Buerostandard\\ACA\\Plotstyles"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "TemplateDwgPath"
  "M:\\Buerostandard\\ACA\\Vorlagen"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "QNewTemplateFile"
  "M:\\Buerostandard\\ACA\\Vorlagen\\vorlage v002a.dwt"
)

Probiers mal aus

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Mangrove
Mitglied



Sehen Sie sich das Profil von Mangrove an!   Senden Sie eine Private Message an Mangrove  Schreiben Sie einen Gästebucheintrag für Mangrove

Beiträge: 281
Registriert: 07.02.2007

Win 7 x64 Intel i7 3,5 Ggz, 16GB,
Quadro K 2000
Acad 2016
Acad Architecture 2016
Revit 2017 R2

erstellt am: 02. Nov. 2017 12:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Cadmium,

Habe das eben probiert und wie folgt geändert:
Leider überschreibt er den Wert Änderung 1 durch die Änderung 2. und somit bleibt unter "Pfad für Drucker-Support-Datei/Suchpfad für Plotstiltabelle" nur der Wert Änderung 2 "M:\Buerostandard\ACA" stehen.

Sonst funktioniert es super.

Wie kriegst du die Namen der verschiedenen Punkte der Optionen?

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "PrinterConfigPath"
  "P:\\00 BIBLIOTHEK\\04 ACAD\\06 Plot Styles";;;1. Geändert -> Sollte den ersten Pfad schreiben
)
(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "PrinterConfigPath"
  "M:\\Buerostandard\\ACA";;;2. Geändert -> Sollte den zweiten, zusätzlichen Pfad schreiben
)
(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "PrinterStyleSheetPath"
  "M:\\Buerostandard\\ACA\\Plotstyles"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "TemplateDwgPath"
  "M:\\Buerostandard\\ACA\\Vorlagen"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "QNewTemplateFile"
  "";;;3. Geändert -> trägt keine Wert ein
)

P.S. Kann ich einfach davor noch das
(setvar "STARTUP" 2)
stellen und das ganze als .lsp Datei speichern und via drag and drop wie oben beschrieben ausführen?

Tausend Dank, deine Hilfe ist außergewöhnlich.

------------------
Alle Fragen sind es wert gestellt zu werden

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13348
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 02. Nov. 2017 12:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Mangrove 10 Unities + Antwort hilfreich

ja... kannste machen

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Mangrove
Mitglied



Sehen Sie sich das Profil von Mangrove an!   Senden Sie eine Private Message an Mangrove  Schreiben Sie einen Gästebucheintrag für Mangrove

Beiträge: 281
Registriert: 07.02.2007

Win 7 x64 Intel i7 3,5 Ggz, 16GB,
Quadro K 2000
Acad 2016
Acad Architecture 2016
Revit 2017 R2

erstellt am: 02. Nov. 2017 12:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Bezüglich des, am Anfang beschriebenen Verhaltens hast du auch eine Idee?

------------------
Alle Fragen sind es wert gestellt zu werden

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13348
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 02. Nov. 2017 12:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Mangrove 10 Unities + Antwort hilfreich

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "PrinterConfigPath"
  "P:\\00 BIBLIOTHEK\\04 ACAD\\06 Plot Styles;M:\\Buerostandard\\ACA"
)

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Mangrove
Mitglied



Sehen Sie sich das Profil von Mangrove an!   Senden Sie eine Private Message an Mangrove  Schreiben Sie einen Gästebucheintrag für Mangrove

Beiträge: 281
Registriert: 07.02.2007

Win 7 x64 Intel i7 3,5 Ggz, 16GB,
Quadro K 2000
Acad 2016
Acad Architecture 2016
Revit 2017 R2

erstellt am: 02. Nov. 2017 12:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


2017-11-0212_47_29-Optionen.jpg

 
Hallo,

Nur die erste Zeile "PrinterConfigPath" erhält leider nur den zweiten Wert(siehe Screenshot). Hast du noch Ideen?


(setvar "STARTUP" 2)
(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "PrinterConfigPath"
  "P:\\00 BIBLIOTHEK\\04 ACAD\\06 Plot Styles;M:\\Buerostandard\\ACA"
)
(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "PrinterStyleSheetPath"
  "M:\\Buerostandard\\ACA\\Plotstyles"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "TemplateDwgPath"
  "M:\\Buerostandard\\ACA\\Vorlagen"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "QNewTemplateFile"
  ""
)

------------------
Alle Fragen sind es wert gestellt zu werden

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13348
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 02. Nov. 2017 13:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Mangrove 10 Unities + Antwort hilfreich

na wenn du mehrere für die Plotstiltabelle willst, dann auch mit ";" getrennte Pfade angeben :

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "PrinterStyleSheetPath"
  "P:\\00 BIBLIOTHEK\\04 ACAD\\06 Plot Styles;M:\\Buerostandard\\ACA\\Plotstyles"
)

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Mangrove
Mitglied



Sehen Sie sich das Profil von Mangrove an!   Senden Sie eine Private Message an Mangrove  Schreiben Sie einen Gästebucheintrag für Mangrove

Beiträge: 281
Registriert: 07.02.2007

Win 7 x64 Intel i7 3,5 Ggz, 16GB,
Quadro K 2000
Acad 2016
Acad Architecture 2016
Revit 2017 R2

erstellt am: 02. Nov. 2017 13:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Super, es funktioniert. Viele Arbeit und Fehler bleiben mir so erspart. Danke für die Bemühungen und den Einleitung. Hoffe es nächstes mal selber zu schaffen.

Grüße aus Wien
Mangrove

------------------
Alle Fragen sind es wert gestellt zu werden

[Diese Nachricht wurde von Mangrove am 02. Nov. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

C4DP4P57
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von C4DP4P57 an!   Senden Sie eine Private Message an C4DP4P57  Schreiben Sie einen Gästebucheintrag für C4DP4P57

Beiträge: 87
Registriert: 06.05.2009

Win 10
Intel Core i7-7700
32 GB RAM
NVIDIA Quadro P1000
AutoCAD 2019 64Bit

erstellt am: 11. Jul. 2018 17:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Mangrove 10 Unities + Antwort hilfreich

Hallo Zusammen,

ich versuche gerade ebenfalls eine ähnliche Batchdatei aufzubauen, hänge aber gerade an dem Reiter Plotten und Publizieren. Dort würde ich gerne das Häkchen bei "Systemdrucker ausblenden" setzen lassen.

Mein bisheriger, noch unvollständiger Code:
(vlax-put-property (vlax-get-property (vlax-get-property (vlax-get-acad-object) 'Preferences) 'Files)
                    'supportpath
                    (strcat
                      (vlax-get-property (vlax-get-property (vlax-get-property (vlax-get-acad-object) 'Preferences) 'Files) 'supportpath)
                      ";W:meinPfad"
                    )
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "CUSTOMICONPATH"
  "W:meinPfad"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "AltFontFile"
  "Arial"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "PrinterConfigPath"
  "W:meinPfad"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "PrinterDescPath"
  "W:meinPfad"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "PrinterStyleSheetPath"
  "W:meinPfad"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "TemplateDwgPath"
  "W:meinPfad"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "QNewTemplateFile"
  "W:meinPfad"
)

(vlax-put-property
  (vla-get-files(vla-get-preferences(vlax-get-acad-object)))
  "ToolPalettePath"
  "W:meinPfad"
)

(command "actpath" "W:meinPfad")

(vlax-put-property
  (vla-get-OpenSave(vla-get-Preferences(vlax-get-acad-object)))
  "SaveAsType"
  "60"
)

Kann ich es genauso ansprechen wie bei speichern unter?
Wenn ja, nach was für einem Ausdruck müsste ich den suchen? Ich habe eine Liste mit allen VL-VLA-VLAX-Funktionen, finde aber nicht wirklich was um das Häkchen für "Systemdrucker ausblenden" zu setzen  (weiß nicht wie ichs besser beschreiben soll).

(vlax-put-property
  (vla-get-???(vla-get-Preferences(vlax-get-acad-object)))
  "???"
  "???"
)

oder gibt es eine Systemvariable dafür?

habe im WWW nicht wirklich was gefunden.

Vielen Dank schonmal
Gruß Jörg

------------------
Wer immer tut, was er schon kann, bleibt immer das, was er schon ist.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADuceus
Mitglied
Projektleiter Energienetze


Sehen Sie sich das Profil von CADuceus an!   Senden Sie eine Private Message an CADuceus  Schreiben Sie einen Gästebucheintrag für CADuceus

Beiträge: 272
Registriert: 20.01.2005

AutoCAD Map 3D 2017 (D)
Win7 64bit / IE 11
Intel® Core™ i7-4790 3.6GHz / 8GB
Nvidia Quadro K2000 2GB
HP DesignJet T7100

erstellt am: 11. Jul. 2018 17:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Mangrove 10 Unities + Antwort hilfreich

Hallo C4DP4P57

Du suchst wohl (setenv "HideSystemPrinters" "0").

Wurde hier beschrieben:
https://ww3.cad.de/foren/ubb/Forum259/HTML/001802.shtml

------------------
Du kannst in anderen nur entzünden,
was in Dir selber brennt!  

Wollte noch ein File anhängen, aber habe die Kiste schon heruntergefahren.

[Diese Nachricht wurde von CADuceus am 12. Jul. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

C4DP4P57
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von C4DP4P57 an!   Senden Sie eine Private Message an C4DP4P57  Schreiben Sie einen Gästebucheintrag für C4DP4P57

Beiträge: 87
Registriert: 06.05.2009

Win 10
Intel Core i7-7700
32 GB RAM
NVIDIA Quadro P1000
AutoCAD 2019 64Bit

erstellt am: 11. Jul. 2018 17:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Mangrove 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von CADuceus:
Hallo C4DP4P57

Du suchst wohl [b](setenv "HideSystemPrinters" "0").

[/B]


Supie!!! Vielen Dank!

Jörg

------------------
Wer immer tut, was er schon kann, bleibt immer das, was er schon ist.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz